MAIN.C(1)

NAME
pbc_disassemble - parrot bytecode disassembler

SYNOPSIS
pbc_disassemble [-bh?] [--bare|--header-only] [-o outfile] [file.pbc]

DESCRIPTION
"pbc_disassemble" translates Parrot bytecode ("PBC") into Parrot assembly language ("PASM").

"file.pbc" is the bytecode file to disassemble. If a file is not specified, the bytecode will be read from "stdin". Additionally, if the "-o" switch is not given, the output is displayed to "stdout".

OPTIONS

-?, --help
    Displays usage and help information.

-b, --bare
    Displays bare PASM without the header and left column.

-h, --header-only
    Displays only the constants table header.

-o filename, --output filename
    Writes output to "filename".

STATIC FUNCTIONS

"int main(int argc, const char *argv[])"
    Execution entry point. Starts up an interpreter, loads the bytecode from the command-line, and disassembles it.

"static void help(void)"
    Prints out the user help information and exits.

"static void show_last_error_and_exit(Parrot_PMC interp)"
    Prints out the "interp"'s last error and exits.

SEE ALSO
src/embed.c and src/debug.c.

HISTORY
Initial version by Daniel Grunblatt on 2002.5.26.

Florian Ragwitz: Moved POD documentation that's not necessary to know how to actually run the disassembler to normal C comments (Wed, 16 Nov 2005).

Reini Urban: Renamed from disassemble to pbc_disassemble (2008-07-03).
             Add options: help, -h, -o, --debug, --bare (2009-01-29)
             Force option 1 for passing version check (2009-03-07)

Kevin Polulak (soh_cah_toa): Updated to use embedding API, moved source file
                        to frontend/pbc_disassemble, and cleaned up
                        source code and perldoc. (2011-06-19)